Bug 168668

Summary: [ios-simulator Debug WK2] LayoutTest media/modern-media-controls/fullscreen-support/fullscreen-support-enabled.html is a flaky failure
Product: WebKit Reporter: Ryan Haddad <ryanhaddad>
Component: New BugsAssignee: Antoine Quint <graouts>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, graouts, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description Ryan Haddad 2017-02-21 12:14:53 PST
LayoutTest media/modern-media-controls/fullscreen-support/fullscreen-support-enabled.html is a flaky failure

https://build.webkit.org/results/Apple%20iOS%2010%20Simulator%20Debug%20WK2%20(Tests)/r212726%20(3661)/results.html

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=media%2Fmodern-media-controls%2Ffullscreen-support%2Ffullscreen-support-enabled.html

--- /Volumes/Data/slave/ios-simulator-10-debug-tests-wk2/build/layout-test-results/media/modern-media-controls/fullscreen-support/fullscreen-support-enabled-expected.txt
+++ /Volumes/Data/slave/ios-simulator-10-debug-tests-wk2/build/layout-test-results/media/modern-media-controls/fullscreen-support/fullscreen-support-enabled-actual.txt
@@ -3,7 +3,7 @@
 On success, you will see a series of "PASS" messages, followed by "TEST COMPLETE".
 
 
-PASS mediaController.controls.fullscreenButton.enabled is true
+FAIL mediaController.controls.fullscreenButton.enabled should be true. Was false.
 PASS mediaController.controls.fullscreenButton.enabled is false
 
 PASS successfullyParsed is true
Comment 1 Ryan Haddad 2017-03-01 11:05:35 PST
Marked test as flaky in http://trac.webkit.org/projects/webkit/changeset/213232
Comment 2 Ryan Haddad 2017-03-01 13:47:30 PST
This test seems to be flakier on ios-simulator debug WK2.
Comment 3 Radar WebKit Bug Importer 2017-03-02 19:18:18 PST
<rdar://problem/30823677>
Comment 4 Antoine Quint 2017-03-02 19:25:06 PST
Created attachment 303292 [details]
Patch
Comment 5 WebKit Commit Bot 2017-03-02 20:46:27 PST
Comment on attachment 303292 [details]
Patch

Clearing flags on attachment: 303292

Committed r213348: <http://trac.webkit.org/changeset/213348>
Comment 6 WebKit Commit Bot 2017-03-02 20:46:30 PST
All reviewed patches have been landed.  Closing bug.